// ***************************************************************************
//  Exemplo de programa em OpenGL
//  Este programa usa a GLUT para o gerenciamento da janela.
// ***************************************************************************


// Include obrigatrios

#include <windows.h>
#include <gl/glut.h>

// ***************************************************************************
// Funo chamada para fazer exibio dos objetos
// ***************************************************************************
void FuncaoDeExibicao(void)
{
	// Limapa a janela com a "Cor de Fundo"
	glClear(GL_COLOR_BUFFER_BIT);

        glColor3f(1,0,1);
        glBegin(GL_LINES);
	   glVertex2f(0,0);
	   glVertex2f(0.5,0);
        glEnd();
        
	// Fora a exibio dos objetos
	glFlush();
}
// ***************************************************************************
// Funo de Inicializao 
// ***************************************************************************
void RodaUmaVez (void)
{
    glClearColor(1.0f, 1.0f, 0.0f, 1.0f); // define a "Cor de Fundo" da janela
}

// ***************************************************************************
// PROGRAMA PRINCIPAL
// ***************************************************************************
void main(void)
{
	glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);

	glutCreateWindow("Primeiro Teste de OpenGL e GLUT");

	glutDisplayFunc(FuncaoDeExibicao); // define qual sera a funcao de exibicao dos objetos

	RodaUmaVez();

	glutMainLoop();
}
